Naming SE draft features

Hello everyone. I am wondering how I can name via VB a Balloon or TextBox. For example, SE name them something like:

 

Balloon("Balloon 2235") or

TextBoxes("TextBox 2456")

 

You can recall the name by:

 

Set objApp = GetObject(, "SolidEdge.Application")

Set objDoc = objApp.ActiveDocument.ActiveSheet

Set objDES = objApp.TextBoxes("TextBox 2456")

 

MsgBox objDES.Name

 

I would like to rename it to something sensible, and that way I can also have the program recreate it if it is missing or the user deleted it by mistake.

 

For example:

 

Dim objDES As Object

Dim objTextBoxes As Object

Dim x1 As Double, x2 As Double

Dim y1 As Double, y2 As Double

x1 = 0.6709664: y1 = 0.0542544

x2 = 0.6709664: y2 = 0.0542544

Set objTextBoxes = objSheet.TextBoxes

Set objDES = objTextBoxes.AddByTwoPoints(x1, y1, 0, x2, y2, 0)

objDES.Text = "Description"

objDES.Name = ("DES2")

 

Any ideas?

 

Thanks,

 

- Bill

 

Posted by: Bill Ledbetter
Post date: 10/5/2005 3:10:19 AM

2 REPLIES

RE: Naming SE draft features

Thanks for the post Bill.

 

I'll take a look at it as soon as I get a little time .

 

Posted by: Jason Newell
Post date: 10/5/2005 10:05:44 AM

RE: Naming SE draft features

Just to update everyone, I talked with Bill on the phone about this problem. We came to the conclusion that what he was wanting is not possible in the Solid Edge API.

 

Posted by: Jason Newell
Post date: 10/10/2005 5:44:05 AM